> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfaradiusauto.md).

# Add-RASMFARadiusAuto.md

## NAME

Add-RASMFARadiusAuto

## SYNOPSIS

Adds automation settings to Radius provider settings.

## SYNTAX

**Add-RASMFARadiusAuto** \[[Id](#id-string)] *(uint)* -[Command](#command-string) *(string)* -[Title](#title-string) *(string)* \[[ActionMessage](#actionmessage-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[-[Image](#Image) {Alert | Message | Email | Call | Chat | Flag}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASMFARadiusAuto \[-[InputObject](#inputobject)] *(*[*MFA*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)*)* -[Command](#command-string) *(string)* -[Title](#title-string) *(string)* \[[ActionMessage](#actionmessage-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[-[Image](#Image) {Alert | Message | Email | Call | Chat | Flag}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Add-RASMFARadiusAuto** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#command-string) *(string)* -[Title](#title-string) *(string)* \[[ActionMessage](#actionmessage-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[-[Image](#Image) {Alert | Message | Email | Call | Chat | Flag}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet appends new attribute settings to existing ones. All parameters are mandatory.

## PARAMETERS

## Command (string)

RADIUS Automation command

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Whether the RADIUS Automation is enabled/disabled

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Image ([ImageType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/imagetype.md))

RADIUS Automation image

Possible values: Alert, Message, Email, Call, Chat, Flag

```
        Required?                    false

        Position?                    named

        Default value                Alert

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Title (string)

RADIUS Automation title

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ActionMessage (string)

RADIUS Automation action message

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

RADIUS Automation description

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name of the target multi-factor authentication .

This must be the actual multi-factor authentication name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified multi-factor authentication .

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the multi-factor authentication to modify. To obtain the ID, use the Get-RASMFA cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md))

The multi factor authentication to modify.

To obtain an object of type MFA, use the Get-RASMFA cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASMFARadiusAuto -SiteId 2 -Command Test -Title Test

Adds a new entry to the Radius automation list on Site 2. \[Radius Setting]

## RELATED LINKS

* [Get-RASMFARadiusAuto](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasmfaradiusauto.md)
* [Set-RASMFARadiusAuto](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasmfaradiusauto.md)
* [Remove-RASMFARadiusAuto](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasmfaradiusauto.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfaradiusauto.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
